# IGeneratedVariableStorage

Interface in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

## Summary

An interface that works with [GeneratedVariableStorageExtensions](/3.1/api/csharp/yarn.unity/yarn.unity.generatedvariablestorageextensions.md) to add helper methods used by generated variable storage classes.

```csharp
public interface IGeneratedVariableStorage : Yarn.IVariableStorage
```

## Remarks

[IVariableStorage](/3.1/api/csharp/yarn/yarn.ivariablestorage.md) classes that implement this interface are extended with the methods found in [GeneratedVariableStorageExtensions](/3.1/api/csharp/yarn.unity/yarn.unity.generatedvariablestorageextensions.md) . This interface is intended to be used only with classes in source code that was generated by Yarn Spinner.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.igeneratedvariablestorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
